%global momorel 1
%global buildgui 0
%global md5sum_src0 bbc1d9ac750bb34e0748f0b57157cc72

Summary: jigdo - jigsaw download
Name: jigdo
Version: 0.7.3
Release: %{momorel}m
License: GPL
Group: Applications/System
URL: http://atterer.net/jigdo/
%NoSource 0 http://atterer.net/jigdo/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Source1: jd4ml
Patch0: jigdo-0.7.3.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: bash, libstdc++, zlib
Requires: db4 >= 4.3
BuildPreReq: libstdc++-devel, zlib-devel
BuildPreReq: db4-devel >= 4.3

%if %{buildgui}
%package gtk
Summary: jigdo - jigsaw download for gtk
Group: Applications/System
Requires: jigdo, atk, bash, db4, fontconfig, freetype2
Requires: glib, gtk+, gtk+-common, libstdc++, pango, w3c-libwww, zlib
Requires: ruby
BuildPreReq: atk-devel, fontconfig-devel
BuildPreReq: freetype2-devel, glib-devel, gtk+-devel
BuildPreReq: pango-devel, w3c-libwww-devel
# man be need xorg library 
%endif

%description
Jigsaw Download, or short jigdo, is a tool designed to ease the distribution
of very large files over the internet, for example CD or DVD images.

Its aim is to make downloading the images as easy for users as a click on
a direct download link in a browser, while avoiding all the problems that
server administrators have with hosting such large files.

%if %{buildgui}
%description gtk
jigdo-gtk package provides the GTK+ interface for the jigsaw download.
%endif

%prep
%setup -q

%patch -p1

%build
%if %{buildgui}
%configure
%else
%configure --without-gui
%endif
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f $RPM_BUILD_ROOT/%{_datadir}/jigdo/debian-mirrors.jigdo
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/jd4ml

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README THANKS doc/*.txt doc/*.html
%{_bindir}/jigdo-file
%{_bindir}/jigdo-lite
%{_bindir}/jigdo-mirror
%{_bindir}/jd4ml
%{_mandir}/man1/jigdo-mirror.1*
%{_mandir}/man1/jigdo-file.1*
%{_mandir}/man1/jigdo-lite.1*
%{_datadir}/locale/de/LC_MESSAGES/jigdo.mo

%if %{buildgui}
%files gtk
%defattr(-,root,root,-)
%{_bindir}/jigdo
%{_mandir}/man1/jigdo.1*
%{_datadir}/jigdo/COPYING
%{_datadir}/jigdo/pixmaps
%endif

%changelog
* Sun Jul  9 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.7.3-1m)
- update to 0.7.3

* Wed Jan 11 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.7.2-2m)
- rebuild against db4.3

* Sat Dec 24 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.2-1m)
- update 0.7.2
- add gcc4 patch. import SUSE patch
- Patch0: jigdo-0.7.2.diff

* Tue Nov  8 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.1-2m)
- add gcc4 patch. import from Gentoo.
- Patch0: jigdo-0.7.1-gcc4.patch

* Tue Aug 10 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.7.1-1m)
  Initial build.

